IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network244.65.58.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
- Network address
244.65.58.0- Broadcast address
244.65.59.255- First usable
244.65.58.1- Last usable
244.65.59.254- Usable hosts
- 510 (512 less the network and broadcast addresses)
- Subnet mask
255.255.254.0- Wildcard mask
0.0.1.255(Cisco ACLs, OSPF)- Prefix length
- /23
- Type
- Reserved 240.0.0.0/4
Future use; not usable on most systems - Old class
- E (reserved)
- As numbers
- Hex
F4413A00· Integer4097915392to4097915903 - Reverse DNS zones
58.65.244.in-addr.arpa59.65.244.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11110100.01000001.00111010.00000000 | 244.65.58.0 |
| Subnet mask | 11111111.11111111.11111110.00000000 | 255.255.254.0 |
| Network | 11110100.01000001.00111010.00000000 | 244.65.58.0 |
| Broadcast | 11110100.01000001.00111011.11111111 | 244.65.59.255 |
Split into smaller subnets
244.65.58.0/23 makes 512 subnets of /32; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 244.65.58.0/32 | 244.65.58.0 to 244.65.58.0 | — | 1 |
| 2 | 244.65.58.1/32 | 244.65.58.1 to 244.65.58.1 | — | 1 |
| 3 | 244.65.58.2/32 | 244.65.58.2 to 244.65.58.2 | — | 1 |
| 4 | 244.65.58.3/32 | 244.65.58.3 to 244.65.58.3 | — | 1 |
| 5 | 244.65.58.4/32 | 244.65.58.4 to 244.65.58.4 | — | 1 |
| 6 | 244.65.58.5/32 | 244.65.58.5 to 244.65.58.5 | — | 1 |
| 7 | 244.65.58.6/32 | 244.65.58.6 to 244.65.58.6 | — | 1 |
| 8 | 244.65.58.7/32 | 244.65.58.7 to 244.65.58.7 | — | 1 |
| 9 | 244.65.58.8/32 | 244.65.58.8 to 244.65.58.8 | — | 1 |
| 10 | 244.65.58.9/32 | 244.65.58.9 to 244.65.58.9 | — | 1 |
| 11 | 244.65.58.10/32 | 244.65.58.10 to 244.65.58.10 | — | 1 |
| 12 | 244.65.58.11/32 | 244.65.58.11 to 244.65.58.11 | — | 1 |
| 13 | 244.65.58.12/32 | 244.65.58.12 to 244.65.58.12 | — | 1 |
| 14 | 244.65.58.13/32 | 244.65.58.13 to 244.65.58.13 | — | 1 |
| 15 | 244.65.58.14/32 | 244.65.58.14 to 244.65.58.14 | — | 1 |
| 16 | 244.65.58.15/32 | 244.65.58.15 to 244.65.58.15 | — | 1 |
| 17 | 244.65.58.16/32 | 244.65.58.16 to 244.65.58.16 | — | 1 |
| 18 | 244.65.58.17/32 | 244.65.58.17 to 244.65.58.17 | — | 1 |
| 19 | 244.65.58.18/32 | 244.65.58.18 to 244.65.58.18 | — | 1 |
| 20 | 244.65.58.19/32 | 244.65.58.19 to 244.65.58.19 | — | 1 |
| 21 | 244.65.58.20/32 | 244.65.58.20 to 244.65.58.20 | — | 1 |
| 22 | 244.65.58.21/32 | 244.65.58.21 to 244.65.58.21 | — | 1 |
| 23 | 244.65.58.22/32 | 244.65.58.22 to 244.65.58.22 | — | 1 |
| 24 | 244.65.58.23/32 | 244.65.58.23 to 244.65.58.23 | — | 1 |
| 25 | 244.65.58.24/32 | 244.65.58.24 to 244.65.58.24 | — | 1 |
| 26 | 244.65.58.25/32 | 244.65.58.25 to 244.65.58.25 | — | 1 |
| 27 | 244.65.58.26/32 | 244.65.58.26 to 244.65.58.26 | — | 1 |
| 28 | 244.65.58.27/32 | 244.65.58.27 to 244.65.58.27 | — | 1 |
| 29 | 244.65.58.28/32 | 244.65.58.28 to 244.65.58.28 | — | 1 |
| 30 | 244.65.58.29/32 | 244.65.58.29 to 244.65.58.29 | — | 1 |
| 31 | 244.65.58.30/32 | 244.65.58.30 to 244.65.58.30 | — | 1 |
| 32 | 244.65.58.31/32 | 244.65.58.31 to 244.65.58.31 | — | 1 |
| 33 | 244.65.58.32/32 | 244.65.58.32 to 244.65.58.32 | — | 1 |
| 34 | 244.65.58.33/32 | 244.65.58.33 to 244.65.58.33 | — | 1 |
| 35 | 244.65.58.34/32 | 244.65.58.34 to 244.65.58.34 | — | 1 |
| 36 | 244.65.58.35/32 | 244.65.58.35 to 244.65.58.35 | — | 1 |
| 37 | 244.65.58.36/32 | 244.65.58.36 to 244.65.58.36 | — | 1 |
| 38 | 244.65.58.37/32 | 244.65.58.37 to 244.65.58.37 | — | 1 |
| 39 | 244.65.58.38/32 | 244.65.58.38 to 244.65.58.38 | — | 1 |
| 40 | 244.65.58.39/32 | 244.65.58.39 to 244.65.58.39 | — | 1 |
| 41 | 244.65.58.40/32 | 244.65.58.40 to 244.65.58.40 | — | 1 |
| 42 | 244.65.58.41/32 | 244.65.58.41 to 244.65.58.41 | — | 1 |
| 43 | 244.65.58.42/32 | 244.65.58.42 to 244.65.58.42 | — | 1 |
| 44 | 244.65.58.43/32 | 244.65.58.43 to 244.65.58.43 | — | 1 |
| 45 | 244.65.58.44/32 | 244.65.58.44 to 244.65.58.44 | — | 1 |
| 46 | 244.65.58.45/32 | 244.65.58.45 to 244.65.58.45 | — | 1 |
| 47 | 244.65.58.46/32 | 244.65.58.46 to 244.65.58.46 | — | 1 |
| 48 | 244.65.58.47/32 | 244.65.58.47 to 244.65.58.47 | — | 1 |
| 49 | 244.65.58.48/32 | 244.65.58.48 to 244.65.58.48 | — | 1 |
| 50 | 244.65.58.49/32 | 244.65.58.49 to 244.65.58.49 | — | 1 |
| 51 | 244.65.58.50/32 | 244.65.58.50 to 244.65.58.50 | — | 1 |
| 52 | 244.65.58.51/32 | 244.65.58.51 to 244.65.58.51 | — | 1 |
| 53 | 244.65.58.52/32 | 244.65.58.52 to 244.65.58.52 | — | 1 |
| 54 | 244.65.58.53/32 | 244.65.58.53 to 244.65.58.53 | — | 1 |
| 55 | 244.65.58.54/32 | 244.65.58.54 to 244.65.58.54 | — | 1 |
| 56 | 244.65.58.55/32 | 244.65.58.55 to 244.65.58.55 | — | 1 |
| 57 | 244.65.58.56/32 | 244.65.58.56 to 244.65.58.56 | — | 1 |
| 58 | 244.65.58.57/32 | 244.65.58.57 to 244.65.58.57 | — | 1 |
| 59 | 244.65.58.58/32 | 244.65.58.58 to 244.65.58.58 | — | 1 |
| 60 | 244.65.58.59/32 | 244.65.58.59 to 244.65.58.59 | — | 1 |
| 61 | 244.65.58.60/32 | 244.65.58.60 to 244.65.58.60 | — | 1 |
| 62 | 244.65.58.61/32 | 244.65.58.61 to 244.65.58.61 | — | 1 |
| 63 | 244.65.58.62/32 | 244.65.58.62 to 244.65.58.62 | — | 1 |
| 64 | 244.65.58.63/32 | 244.65.58.63 to 244.65.58.63 | — | 1 |
| 65 | 244.65.58.64/32 | 244.65.58.64 to 244.65.58.64 | — | 1 |
| 66 | 244.65.58.65/32 | 244.65.58.65 to 244.65.58.65 | — | 1 |
| 67 | 244.65.58.66/32 | 244.65.58.66 to 244.65.58.66 | — | 1 |
| 68 | 244.65.58.67/32 | 244.65.58.67 to 244.65.58.67 | — | 1 |
| 69 | 244.65.58.68/32 | 244.65.58.68 to 244.65.58.68 | — | 1 |
| 70 | 244.65.58.69/32 | 244.65.58.69 to 244.65.58.69 | — | 1 |
| 71 | 244.65.58.70/32 | 244.65.58.70 to 244.65.58.70 | — | 1 |
| 72 | 244.65.58.71/32 | 244.65.58.71 to 244.65.58.71 | — | 1 |
| 73 | 244.65.58.72/32 | 244.65.58.72 to 244.65.58.72 | — | 1 |
| 74 | 244.65.58.73/32 | 244.65.58.73 to 244.65.58.73 | — | 1 |
| 75 | 244.65.58.74/32 | 244.65.58.74 to 244.65.58.74 | — | 1 |
| 76 | 244.65.58.75/32 | 244.65.58.75 to 244.65.58.75 | — | 1 |
| 77 | 244.65.58.76/32 | 244.65.58.76 to 244.65.58.76 | — | 1 |
| 78 | 244.65.58.77/32 | 244.65.58.77 to 244.65.58.77 | — | 1 |
| 79 | 244.65.58.78/32 | 244.65.58.78 to 244.65.58.78 | — | 1 |
| 80 | 244.65.58.79/32 | 244.65.58.79 to 244.65.58.79 | — | 1 |
| 81 | 244.65.58.80/32 | 244.65.58.80 to 244.65.58.80 | — | 1 |
| 82 | 244.65.58.81/32 | 244.65.58.81 to 244.65.58.81 | — | 1 |
| 83 | 244.65.58.82/32 | 244.65.58.82 to 244.65.58.82 | — | 1 |
| 84 | 244.65.58.83/32 | 244.65.58.83 to 244.65.58.83 | — | 1 |
| 85 | 244.65.58.84/32 | 244.65.58.84 to 244.65.58.84 | — | 1 |
| 86 | 244.65.58.85/32 | 244.65.58.85 to 244.65.58.85 | — | 1 |
| 87 | 244.65.58.86/32 | 244.65.58.86 to 244.65.58.86 | — | 1 |
| 88 | 244.65.58.87/32 | 244.65.58.87 to 244.65.58.87 | — | 1 |
| 89 | 244.65.58.88/32 | 244.65.58.88 to 244.65.58.88 | — | 1 |
| 90 | 244.65.58.89/32 | 244.65.58.89 to 244.65.58.89 | — | 1 |
| 91 | 244.65.58.90/32 | 244.65.58.90 to 244.65.58.90 | — | 1 |
| 92 | 244.65.58.91/32 | 244.65.58.91 to 244.65.58.91 | — | 1 |
| 93 | 244.65.58.92/32 | 244.65.58.92 to 244.65.58.92 | — | 1 |
| 94 | 244.65.58.93/32 | 244.65.58.93 to 244.65.58.93 | — | 1 |
| 95 | 244.65.58.94/32 | 244.65.58.94 to 244.65.58.94 | — | 1 |
| 96 | 244.65.58.95/32 | 244.65.58.95 to 244.65.58.95 | — | 1 |
| 97 | 244.65.58.96/32 | 244.65.58.96 to 244.65.58.96 | — | 1 |
| 98 | 244.65.58.97/32 | 244.65.58.97 to 244.65.58.97 | — | 1 |
| 99 | 244.65.58.98/32 | 244.65.58.98 to 244.65.58.98 | — | 1 |
| 100 | 244.65.58.99/32 | 244.65.58.99 to 244.65.58.99 | — | 1 |
| 101 | 244.65.58.100/32 | 244.65.58.100 to 244.65.58.100 | — | 1 |
| 102 | 244.65.58.101/32 | 244.65.58.101 to 244.65.58.101 | — | 1 |
| 103 | 244.65.58.102/32 | 244.65.58.102 to 244.65.58.102 | — | 1 |
| 104 | 244.65.58.103/32 | 244.65.58.103 to 244.65.58.103 | — | 1 |
| 105 | 244.65.58.104/32 | 244.65.58.104 to 244.65.58.104 | — | 1 |
| 106 | 244.65.58.105/32 | 244.65.58.105 to 244.65.58.105 | — | 1 |
| 107 | 244.65.58.106/32 | 244.65.58.106 to 244.65.58.106 | — | 1 |
| 108 | 244.65.58.107/32 | 244.65.58.107 to 244.65.58.107 | — | 1 |
| 109 | 244.65.58.108/32 | 244.65.58.108 to 244.65.58.108 | — | 1 |
| 110 | 244.65.58.109/32 | 244.65.58.109 to 244.65.58.109 | — | 1 |
| 111 | 244.65.58.110/32 | 244.65.58.110 to 244.65.58.110 | — | 1 |
| 112 | 244.65.58.111/32 | 244.65.58.111 to 244.65.58.111 | — | 1 |
| 113 | 244.65.58.112/32 | 244.65.58.112 to 244.65.58.112 | — | 1 |
| 114 | 244.65.58.113/32 | 244.65.58.113 to 244.65.58.113 | — | 1 |
| 115 | 244.65.58.114/32 | 244.65.58.114 to 244.65.58.114 | — | 1 |
| 116 | 244.65.58.115/32 | 244.65.58.115 to 244.65.58.115 | — | 1 |
| 117 | 244.65.58.116/32 | 244.65.58.116 to 244.65.58.116 | — | 1 |
| 118 | 244.65.58.117/32 | 244.65.58.117 to 244.65.58.117 | — | 1 |
| 119 | 244.65.58.118/32 | 244.65.58.118 to 244.65.58.118 | — | 1 |
| 120 | 244.65.58.119/32 | 244.65.58.119 to 244.65.58.119 | — | 1 |
| 121 | 244.65.58.120/32 | 244.65.58.120 to 244.65.58.120 | — | 1 |
| 122 | 244.65.58.121/32 | 244.65.58.121 to 244.65.58.121 | — | 1 |
| 123 | 244.65.58.122/32 | 244.65.58.122 to 244.65.58.122 | — | 1 |
| 124 | 244.65.58.123/32 | 244.65.58.123 to 244.65.58.123 | — | 1 |
| 125 | 244.65.58.124/32 | 244.65.58.124 to 244.65.58.124 | — | 1 |
| 126 | 244.65.58.125/32 | 244.65.58.125 to 244.65.58.125 | — | 1 |
| 127 | 244.65.58.126/32 | 244.65.58.126 to 244.65.58.126 | — | 1 |
| 128 | 244.65.58.127/32 | 244.65.58.127 to 244.65.58.127 | — | 1 |
| 129 | 244.65.58.128/32 | 244.65.58.128 to 244.65.58.128 | — | 1 |
| 130 | 244.65.58.129/32 | 244.65.58.129 to 244.65.58.129 | — | 1 |
| 131 | 244.65.58.130/32 | 244.65.58.130 to 244.65.58.130 | — | 1 |
| 132 | 244.65.58.131/32 | 244.65.58.131 to 244.65.58.131 | — | 1 |
| 133 | 244.65.58.132/32 | 244.65.58.132 to 244.65.58.132 | — | 1 |
| 134 | 244.65.58.133/32 | 244.65.58.133 to 244.65.58.133 | — | 1 |
| 135 | 244.65.58.134/32 | 244.65.58.134 to 244.65.58.134 | — | 1 |
| 136 | 244.65.58.135/32 | 244.65.58.135 to 244.65.58.135 | — | 1 |
| 137 | 244.65.58.136/32 | 244.65.58.136 to 244.65.58.136 | — | 1 |
| 138 | 244.65.58.137/32 | 244.65.58.137 to 244.65.58.137 | — | 1 |
| 139 | 244.65.58.138/32 | 244.65.58.138 to 244.65.58.138 | — | 1 |
| 140 | 244.65.58.139/32 | 244.65.58.139 to 244.65.58.139 | — | 1 |
| 141 | 244.65.58.140/32 | 244.65.58.140 to 244.65.58.140 | — | 1 |
| 142 | 244.65.58.141/32 | 244.65.58.141 to 244.65.58.141 | — | 1 |
| 143 | 244.65.58.142/32 | 244.65.58.142 to 244.65.58.142 | — | 1 |
| 144 | 244.65.58.143/32 | 244.65.58.143 to 244.65.58.143 | — | 1 |
| 145 | 244.65.58.144/32 | 244.65.58.144 to 244.65.58.144 | — | 1 |
| 146 | 244.65.58.145/32 | 244.65.58.145 to 244.65.58.145 | — | 1 |
| 147 | 244.65.58.146/32 | 244.65.58.146 to 244.65.58.146 | — | 1 |
| 148 | 244.65.58.147/32 | 244.65.58.147 to 244.65.58.147 | — | 1 |
| 149 | 244.65.58.148/32 | 244.65.58.148 to 244.65.58.148 | — | 1 |
| 150 | 244.65.58.149/32 | 244.65.58.149 to 244.65.58.149 | — | 1 |
| 151 | 244.65.58.150/32 | 244.65.58.150 to 244.65.58.150 | — | 1 |
| 152 | 244.65.58.151/32 | 244.65.58.151 to 244.65.58.151 | — | 1 |
| 153 | 244.65.58.152/32 | 244.65.58.152 to 244.65.58.152 | — | 1 |
| 154 | 244.65.58.153/32 | 244.65.58.153 to 244.65.58.153 | — | 1 |
| 155 | 244.65.58.154/32 | 244.65.58.154 to 244.65.58.154 | — | 1 |
| 156 | 244.65.58.155/32 | 244.65.58.155 to 244.65.58.155 | — | 1 |
| 157 | 244.65.58.156/32 | 244.65.58.156 to 244.65.58.156 | — | 1 |
| 158 | 244.65.58.157/32 | 244.65.58.157 to 244.65.58.157 | — | 1 |
| 159 | 244.65.58.158/32 | 244.65.58.158 to 244.65.58.158 | — | 1 |
| 160 | 244.65.58.159/32 | 244.65.58.159 to 244.65.58.159 | — | 1 |
| 161 | 244.65.58.160/32 | 244.65.58.160 to 244.65.58.160 | — | 1 |
| 162 | 244.65.58.161/32 | 244.65.58.161 to 244.65.58.161 | — | 1 |
| 163 | 244.65.58.162/32 | 244.65.58.162 to 244.65.58.162 | — | 1 |
| 164 | 244.65.58.163/32 | 244.65.58.163 to 244.65.58.163 | — | 1 |
| 165 | 244.65.58.164/32 | 244.65.58.164 to 244.65.58.164 | — | 1 |
| 166 | 244.65.58.165/32 | 244.65.58.165 to 244.65.58.165 | — | 1 |
| 167 | 244.65.58.166/32 | 244.65.58.166 to 244.65.58.166 | — | 1 |
| 168 | 244.65.58.167/32 | 244.65.58.167 to 244.65.58.167 | — | 1 |
| 169 | 244.65.58.168/32 | 244.65.58.168 to 244.65.58.168 | — | 1 |
| 170 | 244.65.58.169/32 | 244.65.58.169 to 244.65.58.169 | — | 1 |
| 171 | 244.65.58.170/32 | 244.65.58.170 to 244.65.58.170 | — | 1 |
| 172 | 244.65.58.171/32 | 244.65.58.171 to 244.65.58.171 | — | 1 |
| 173 | 244.65.58.172/32 | 244.65.58.172 to 244.65.58.172 | — | 1 |
| 174 | 244.65.58.173/32 | 244.65.58.173 to 244.65.58.173 | — | 1 |
| 175 | 244.65.58.174/32 | 244.65.58.174 to 244.65.58.174 | — | 1 |
| 176 | 244.65.58.175/32 | 244.65.58.175 to 244.65.58.175 | — | 1 |
| 177 | 244.65.58.176/32 | 244.65.58.176 to 244.65.58.176 | — | 1 |
| 178 | 244.65.58.177/32 | 244.65.58.177 to 244.65.58.177 | — | 1 |
| 179 | 244.65.58.178/32 | 244.65.58.178 to 244.65.58.178 | — | 1 |
| 180 | 244.65.58.179/32 | 244.65.58.179 to 244.65.58.179 | — | 1 |
| 181 | 244.65.58.180/32 | 244.65.58.180 to 244.65.58.180 | — | 1 |
| 182 | 244.65.58.181/32 | 244.65.58.181 to 244.65.58.181 | — | 1 |
| 183 | 244.65.58.182/32 | 244.65.58.182 to 244.65.58.182 | — | 1 |
| 184 | 244.65.58.183/32 | 244.65.58.183 to 244.65.58.183 | — | 1 |
| 185 | 244.65.58.184/32 | 244.65.58.184 to 244.65.58.184 | — | 1 |
| 186 | 244.65.58.185/32 | 244.65.58.185 to 244.65.58.185 | — | 1 |
| 187 | 244.65.58.186/32 | 244.65.58.186 to 244.65.58.186 | — | 1 |
| 188 | 244.65.58.187/32 | 244.65.58.187 to 244.65.58.187 | — | 1 |
| 189 | 244.65.58.188/32 | 244.65.58.188 to 244.65.58.188 | — | 1 |
| 190 | 244.65.58.189/32 | 244.65.58.189 to 244.65.58.189 | — | 1 |
| 191 | 244.65.58.190/32 | 244.65.58.190 to 244.65.58.190 | — | 1 |
| 192 | 244.65.58.191/32 | 244.65.58.191 to 244.65.58.191 | — | 1 |
| 193 | 244.65.58.192/32 | 244.65.58.192 to 244.65.58.192 | — | 1 |
| 194 | 244.65.58.193/32 | 244.65.58.193 to 244.65.58.193 | — | 1 |
| 195 | 244.65.58.194/32 | 244.65.58.194 to 244.65.58.194 | — | 1 |
| 196 | 244.65.58.195/32 | 244.65.58.195 to 244.65.58.195 | — | 1 |
| 197 | 244.65.58.196/32 | 244.65.58.196 to 244.65.58.196 | — | 1 |
| 198 | 244.65.58.197/32 | 244.65.58.197 to 244.65.58.197 | — | 1 |
| 199 | 244.65.58.198/32 | 244.65.58.198 to 244.65.58.198 | — | 1 |
| 200 | 244.65.58.199/32 | 244.65.58.199 to 244.65.58.199 | — | 1 |
| 201 | 244.65.58.200/32 | 244.65.58.200 to 244.65.58.200 | — | 1 |
| 202 | 244.65.58.201/32 | 244.65.58.201 to 244.65.58.201 | — | 1 |
| 203 | 244.65.58.202/32 | 244.65.58.202 to 244.65.58.202 | — | 1 |
| 204 | 244.65.58.203/32 | 244.65.58.203 to 244.65.58.203 | — | 1 |
| 205 | 244.65.58.204/32 | 244.65.58.204 to 244.65.58.204 | — | 1 |
| 206 | 244.65.58.205/32 | 244.65.58.205 to 244.65.58.205 | — | 1 |
| 207 | 244.65.58.206/32 | 244.65.58.206 to 244.65.58.206 | — | 1 |
| 208 | 244.65.58.207/32 | 244.65.58.207 to 244.65.58.207 | — | 1 |
| 209 | 244.65.58.208/32 | 244.65.58.208 to 244.65.58.208 | — | 1 |
| 210 | 244.65.58.209/32 | 244.65.58.209 to 244.65.58.209 | — | 1 |
| 211 | 244.65.58.210/32 | 244.65.58.210 to 244.65.58.210 | — | 1 |
| 212 | 244.65.58.211/32 | 244.65.58.211 to 244.65.58.211 | — | 1 |
| 213 | 244.65.58.212/32 | 244.65.58.212 to 244.65.58.212 | — | 1 |
| 214 | 244.65.58.213/32 | 244.65.58.213 to 244.65.58.213 | — | 1 |
| 215 | 244.65.58.214/32 | 244.65.58.214 to 244.65.58.214 | — | 1 |
| 216 | 244.65.58.215/32 | 244.65.58.215 to 244.65.58.215 | — | 1 |
| 217 | 244.65.58.216/32 | 244.65.58.216 to 244.65.58.216 | — | 1 |
| 218 | 244.65.58.217/32 | 244.65.58.217 to 244.65.58.217 | — | 1 |
| 219 | 244.65.58.218/32 | 244.65.58.218 to 244.65.58.218 | — | 1 |
| 220 | 244.65.58.219/32 | 244.65.58.219 to 244.65.58.219 | — | 1 |
| 221 | 244.65.58.220/32 | 244.65.58.220 to 244.65.58.220 | — | 1 |
| 222 | 244.65.58.221/32 | 244.65.58.221 to 244.65.58.221 | — | 1 |
| 223 | 244.65.58.222/32 | 244.65.58.222 to 244.65.58.222 | — | 1 |
| 224 | 244.65.58.223/32 | 244.65.58.223 to 244.65.58.223 | — | 1 |
| 225 | 244.65.58.224/32 | 244.65.58.224 to 244.65.58.224 | — | 1 |
| 226 | 244.65.58.225/32 | 244.65.58.225 to 244.65.58.225 | — | 1 |
| 227 | 244.65.58.226/32 | 244.65.58.226 to 244.65.58.226 | — | 1 |
| 228 | 244.65.58.227/32 | 244.65.58.227 to 244.65.58.227 | — | 1 |
| 229 | 244.65.58.228/32 | 244.65.58.228 to 244.65.58.228 | — | 1 |
| 230 | 244.65.58.229/32 | 244.65.58.229 to 244.65.58.229 | — | 1 |
| 231 | 244.65.58.230/32 | 244.65.58.230 to 244.65.58.230 | — | 1 |
| 232 | 244.65.58.231/32 | 244.65.58.231 to 244.65.58.231 | — | 1 |
| 233 | 244.65.58.232/32 | 244.65.58.232 to 244.65.58.232 | — | 1 |
| 234 | 244.65.58.233/32 | 244.65.58.233 to 244.65.58.233 | — | 1 |
| 235 | 244.65.58.234/32 | 244.65.58.234 to 244.65.58.234 | — | 1 |
| 236 | 244.65.58.235/32 | 244.65.58.235 to 244.65.58.235 | — | 1 |
| 237 | 244.65.58.236/32 | 244.65.58.236 to 244.65.58.236 | — | 1 |
| 238 | 244.65.58.237/32 | 244.65.58.237 to 244.65.58.237 | — | 1 |
| 239 | 244.65.58.238/32 | 244.65.58.238 to 244.65.58.238 | — | 1 |
| 240 | 244.65.58.239/32 | 244.65.58.239 to 244.65.58.239 | — | 1 |
| 241 | 244.65.58.240/32 | 244.65.58.240 to 244.65.58.240 | — | 1 |
| 242 | 244.65.58.241/32 | 244.65.58.241 to 244.65.58.241 | — | 1 |
| 243 | 244.65.58.242/32 | 244.65.58.242 to 244.65.58.242 | — | 1 |
| 244 | 244.65.58.243/32 | 244.65.58.243 to 244.65.58.243 | — | 1 |
| 245 | 244.65.58.244/32 | 244.65.58.244 to 244.65.58.244 | — | 1 |
| 246 | 244.65.58.245/32 | 244.65.58.245 to 244.65.58.245 | — | 1 |
| 247 | 244.65.58.246/32 | 244.65.58.246 to 244.65.58.246 | — | 1 |
| 248 | 244.65.58.247/32 | 244.65.58.247 to 244.65.58.247 | — | 1 |
| 249 | 244.65.58.248/32 | 244.65.58.248 to 244.65.58.248 | — | 1 |
| 250 | 244.65.58.249/32 | 244.65.58.249 to 244.65.58.249 | — | 1 |
| 251 | 244.65.58.250/32 | 244.65.58.250 to 244.65.58.250 | — | 1 |
| 252 | 244.65.58.251/32 | 244.65.58.251 to 244.65.58.251 | — | 1 |
| 253 | 244.65.58.252/32 | 244.65.58.252 to 244.65.58.252 | — | 1 |
| 254 | 244.65.58.253/32 | 244.65.58.253 to 244.65.58.253 | — | 1 |
| 255 | 244.65.58.254/32 | 244.65.58.254 to 244.65.58.254 | — | 1 |
| 256 | 244.65.58.255/32 | 244.65.58.255 to 244.65.58.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |